#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd7d65d1b, "inode_init_owner" },
	{ 0x9eb97a90, "filemap_fdatawrite" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0x6632ca7, "vfs_fsync_range" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0x5fef8354, "sync_blockdev_nowait" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x51eb6ed3, "grab_cache_page_write_begin" },
	{ 0x18794d06, "generic_fh_to_dentry" },
	{ 0xdb4ebc95, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc4b0687, "fs_param_is_string" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbb815fd2, "filemap_fdatawrite_range" },
	{ 0x8e616e6c, "__blockdev_direct_IO" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xbd659b02, "block_truncate_page" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0xb43ae197, "current_time" },
	{ 0x7bb62242, "fiemap_prep" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5f605118, "ihold" },
	{ 0x4a7380ff, "inode_dio_wait" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x52630956, "generic_file_fsync" },
	{ 0x88c40121, "read_cache_page" },
	{ 0xf0f554f8, "finish_open" },
	{ 0xc40efe1d, "iput" },
	{ 0x86eb54bb, "logfc" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x61cfe5e7, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaae71730, "inode_get_bytes" },
	{ 0xd4e76ec1, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xdf8a6df4, "fs_param_is_u32" },
	{ 0xb6d088a8, "inode_newsize_ok" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0xae2e69c4, "generic_write_end" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdec72df3, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xb3a0b54, "create_empty_buffers" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0x477522e7, "block_write_end" },
	{ 0x84f6450, "sync_blockdev" },
	{ 0x74189be, "__filemap_set_wb_err" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0x6ec4e79f, "sync_mapping_buffers" },
	{ 0xd3f9de68, "ilookup" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x79748b30, "get_inode_acl" },
	{ 0x488dcfe0, "invalidate_inode_buffers" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0xe83e10e7, "copy_page_from_iter_atomic" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x5116fc6d, "balance_dirty_pages_ratelimited" },
	{ 0x2fff745, "__brelse" },
	{ 0x2aa5da88, "posix_acl_create" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x1e4d633d, "set_cached_acl" },
	{ 0xda341498, "truncate_pagecache" },
	{ 0x798ce737, "sync_dirty_buffer" },
	{ 0x9ba8ff51, "insert_inode_locked" },
	{ 0x624d5035, "dentry_path_raw" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0xe75a5cdf, "write_cache_pages" },
	{ 0xe5357b8, "file_update_time" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xce1f007f, "from_kgid" },
	{ 0x4a556dce, "__bh_read" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1d8f5bcf, "bio_chain" },
	{ 0x498d115f, "blkdev_issue_zeroout" },
	{ 0xe5a87c2d, "file_remove_privs" },
	{ 0x44afe3aa, "mpage_writepages" },
	{ 0xb9ba68d6, "vmap" },
	{ 0x3da80780, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6c73d4e8, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0x4ad82fa3, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0xbbab6cda, "finish_no_open" },
	{ 0x11089ac7, "_ctype" },
	{ 0x345d6e8f, "mpage_read_folio" },
	{ 0x984866db, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25ba2c7a, "buffer_migrate_folio" },
	{ 0x100fbe69, "vm_zone_stat" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xb1381b67, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x5f7ef9f, "set_bh_page" },
	{ 0xfe902084, "from_kgid_munged" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0xfafb336, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xdd550c, "d_find_alias" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xfe5150d, "get_tree_bdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4eb6da27, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbec69821, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe373f52a, "posix_acl_update_mode" },
	{ 0x1132ed8a, "generic_file_open" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0x5723b6ba, "is_bad_inode" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x20136cf0, "block_write_begin" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb81f353f, "generic_fh_to_parent" },
	{ 0x5dc461d2, "__fs_parse" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0xfbd1886e, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0xb15c6f29, "__generic_file_write_iter" },
	{ 0x7f016c07, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdaae3ab, "clean_bdev_aliases" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x1f9a7b20, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0xd3afde4c, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x7c24c1f1, "submit_bio_wait" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0xe93d8c11, "fault_in_iov_iter_readable" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x2c4978af, "fs_bio_set" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D0720F57AC3CCA5D485E3D1");

MODULE_INFO(suserelease, "SLE15-SP6");
